aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rwxr-xr-xcsharp/buildall.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/csharp/buildall.sh b/csharp/buildall.sh
new file mode 100755
index 00000000..164707cb
--- /dev/null
+++ b/csharp/buildall.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+# Use mono to build solution and run all tests.
+
+# Adjust these to reflect the location of nunit-console in your system.
+NUNIT_CONSOLE=nunit-console
+
+# The rest you can leave intact
+CONFIG=Release
+KEYFILE=../keys/Google.ProtocolBuffers.snk # TODO(jtattermusch): signing!
+SRC=$(dirname $0)/src
+
+set -ex
+
+echo Building the solution.
+xbuild /p:Configuration=$CONFIG $SRC/ProtocolBuffers.sln
+
+echo Running tests.
+$NUNIT_CONSOLE $SRC/ProtocolBuffers.Test/bin/$CONFIG/Google.ProtocolBuffers.Test.dll
+
+$NUNIT_CONSOLE $SRC/ProtocolBuffersLite.Test/bin/$CONFIG/Google.ProtocolBuffersLite.Test.dll
+
+$NUNIT_CONSOLE $SRC/ProtocolBuffersLite.Test/bin/$CONFIG/Google.ProtocolBuffersMixedLite.Test.dll